package com.iver.cit.gvsig.geoprocess.core;

import java.net.URL;
import java.util.Locale;

import com.iver.cit.gvsig.geoprocess.impl.buffer.BufferGeoprocessPlugin;

public abstract class GeoprocessPluginAbstract implements IGeoprocessPlugin {

	public URL getHtmlDescription() {
		Locale locale = Locale.getDefault();
		String localeStr = locale.getLanguage();
		String urlStr = "resources/description_" +
										localeStr +
											".html";
		URL url = this.getClass().
			getResource(urlStr);
		if (url == null){
			localeStr = "en";
			urlStr = "resources/description_" +
			localeStr +
				".html";
			url = this.getClass().
				getResource(urlStr);
		}
		return url;
	}

}
