/*
 * Created on 23-ago-2006
 *
 */
/* gvSIG. Sistema de Informaci�n Geogr�fica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */
package org.cresques.ui.filter;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.cresques.ui.raster.BaseComponent;
import org.gvsig.i18n.Messages;

public class KernelFiltersPanel extends BaseComponent implements ActionListener {

	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JComboBox jComboBox = null;
	private JLabel jLabel = null;
	private JPanel jPanel2 = null;
	private JPanel jPanel3 = null;
	
	private int listCount = 0;

	/**
	 * This method initializes 
	 * @param listCount Numero de elementos que tendr el comboBox.
	 */
	public KernelFiltersPanel(int lCount) {
		super();
		this.listCount = lCount;
		initialize();
	}

	/**
	 * This method initializes 
	 * 
	 */
	public KernelFiltersPanel() {
		super();
		initialize();
	}
	
	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.setPreferredSize(new java.awt.Dimension(445,239));
        this.add(getJPanel1(), null);
        this.add(getJPanel(), null);
			
	}

	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub

	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jLabel = new JLabel();
			jLabel.setText(Messages.getText("kernel_size")+":");
			jLabel.setPreferredSize(new java.awt.Dimension(120,16));
			jPanel = new JPanel();
			jPanel.setPreferredSize(new java.awt.Dimension(400,150));
			jPanel.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.lightGray,1));
			jPanel.add(getJPanel2(), null);
			jPanel.add(jLabel, null);
			jPanel.add(getCbKernel(), null);
			jPanel.add(getJPanel3(), null);
		}
		return jPanel;
	}

	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jPanel1 = new JPanel();
			jPanel1.setPreferredSize(new java.awt.Dimension(400,40));
		}
		return jPanel1;
	}

	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	public JComboBox getCbKernel() {
		if (jComboBox == null) {
			String [] lista = new String[listCount];
			for (int i=0; i<listCount; i++)
				lista[i] = String.valueOf((i+1)*2+1);
			jComboBox = new JComboBox(lista);
			jComboBox.setPreferredSize(new java.awt.Dimension(50,25));
		}
		return jComboBox;
	}

	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jPanel2 = new JPanel();
			jPanel2.setPreferredSize(new java.awt.Dimension(390,30));
		}
		return jPanel2;
	}

	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jPanel3 = new JPanel();
			jPanel3.setPreferredSize(new java.awt.Dimension(150,10));
		}
		return jPanel3;
	}

}
