package org.gvsig.rasterTools.saveRaster.ui.listener;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import org.gvsig.rasterTools.saveRaster.ui.main.InputScaleDataPanel;
import org.gvsig.rasterTools.saveRaster.ui.main.InputSizeDataPanel;
import org.gvsig.rasterTools.saveRaster.ui.main.MethodDataInputPanel;
import org.gvsig.rasterTools.saveRaster.ui.main.MethodSaveRasterSelectorPanel;



public class MethodDataInputListener implements ActionListener, ChangeListener, MouseListener, FocusListener,
KeyListener {

	private MethodSaveRasterSelectorPanel 	selectorPanel = null;
	private MethodDataInputPanel 			panel = null;
		
	/**
	 * This is the default constructor
	 */
	public MethodDataInputListener(MethodDataInputPanel panel) {
		this.panel = panel;
		selectorPanel = (MethodSaveRasterSelectorPanel)panel.getPWest();
		selectorPanel.getRbScale().addActionListener(this);
		selectorPanel.getRbSize().addActionListener(this);
		selectorPanel.getRbMtsPixel().addActionListener(this);
	}

	//*******************************
	//ChangeListener
	
	public void focusGained(FocusEvent e) {		
	}

	public void focusLost(FocusEvent e) {
	}
	
	public void stateChanged(ChangeEvent e) {
	}
	
	//*******************************
	//MouseListener
	public void mouseClicked(MouseEvent e) {
	}

	public void mouseEntered(MouseEvent e) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {		
	}

	public void mouseReleased(MouseEvent e) {		
	}

	public void keyPressed(KeyEvent e) {		
	}

	public void keyReleased(KeyEvent e) {		
	}

	public void keyTyped(KeyEvent e) {		
	}

	//*******************************
	//ActionListener
	
	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == selectorPanel.getRbScale()){
			((InputScaleDataPanel)panel.getPEast()).setActiveScale(0);
			((InputSizeDataPanel)panel.getPSouth()).setActive(false);
		}
		
		if(e.getSource() == selectorPanel.getRbMtsPixel()){
			((InputScaleDataPanel)panel.getPEast()).setActiveScale(1);
			((InputSizeDataPanel)panel.getPSouth()).setActive(false);
		}
		
		if(e.getSource() == selectorPanel.getRbSize()){
			((InputScaleDataPanel)panel.getPEast()).setActiveScale(2);
			((InputSizeDataPanel)panel.getPSouth()).setActive(true);
		}
	}

}
