/*
 * Created on 31-jul-2006
 *
 */
/* gvSIG. Sistema de Informaci�n Geogr�fica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */
package org.cresques.ui.filter;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

import javax.swing.JTextField;
import javax.swing.JComboBox;

public class ConvolutionPanel extends JPanel implements ActionListener {

	private FilterRasterDialogPanel parent = null;
	private JCheckBox jCheckBox = null;
	private JPanel jPanel = null;
	private JTextField jTextField = null;
	private JTextField jTextField1 = null;
	private JTextField jTextField2 = null;
	private JTextField jTextField3 = null;
	private JTextField jTextField4 = null;
	private JTextField jTextField5 = null;
	private JTextField jTextField6 = null;
	private JTextField jTextField7 = null;
	private JTextField jTextField8 = null;
	private JPanel jPanel1 = null;
	private JTextField jTextField9 = null;
	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JComboBox jComboBox = null;
	private JPanel jPanel2 = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel3 = null;
	private JCheckBox jCheckBox1 = null;
	private JLabel jLabel4 = null;
	/**
	 * This method initializes 
	 * 
	 */
	public ConvolutionPanel() {
		super();
		initialize();
	}
	public ConvolutionPanel(FilterRasterDialogPanel parent) {
		super();
		this.parent = parent;
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        jLabel = new JLabel();
        jLabel.setText("");
        this.setSize(new java.awt.Dimension(445,239));
        this.setPreferredSize(new java.awt.Dimension(445,239));
        this.add(jLabel, null);
        this.add(getJPanel2(), null);
        this.add(getJPanel(), null);
        this.add(getJPanel1(), null);
			
	}

	public void actionPerformed(ActionEvent e) {
	}
	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	public JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.addActionListener(this);
		}
		jCheckBox.addActionListener(this);
		return jCheckBox;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jLabel3 = new JLabel();
			jLabel3.setText("Definir coeficientes:");
			jLabel3.setPreferredSize(new java.awt.Dimension(160,16));
			jPanel = new JPanel();
			jPanel.setPreferredSize(new java.awt.Dimension(200,150));
			jPanel.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.black,1));
			jPanel.add(jLabel3, null);
			jPanel.add(getJTextField(), null);
			jPanel.add(getJTextField1(), null);
			jPanel.add(getJTextField2(), null);
			jPanel.add(getJTextField3(), null);
			jPanel.add(getJTextField4(), null);
			jPanel.add(getJTextField5(), null);
			jPanel.add(getJTextField6(), null);
			jPanel.add(getJTextField7(), null);
			jPanel.add(getJTextField8(), null);
		}
		return jPanel;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField;
	}
	/**
	 * This method initializes jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField1() {
		if (jTextField1 == null) {
			jTextField1 = new JTextField();
			jTextField1.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField1;
	}
	/**
	 * This method initializes jTextField2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField2() {
		if (jTextField2 == null) {
			jTextField2 = new JTextField();
			jTextField2.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField2;
	}
	/**
	 * This method initializes jTextField3	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField3() {
		if (jTextField3 == null) {
			jTextField3 = new JTextField();
			jTextField3.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField3;
	}
	/**
	 * This method initializes jTextField4	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField4() {
		if (jTextField4 == null) {
			jTextField4 = new JTextField();
			jTextField4.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField4;
	}
	/**
	 * This method initializes jTextField5	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField5() {
		if (jTextField5 == null) {
			jTextField5 = new JTextField();
			jTextField5.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField5;
	}
	/**
	 * This method initializes jTextField6	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField6() {
		if (jTextField6 == null) {
			jTextField6 = new JTextField();
			jTextField6.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField6;
	}
	/**
	 * This method initializes jTextField7	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField7() {
		if (jTextField7 == null) {
			jTextField7 = new JTextField();
			jTextField7.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField7;
	}
	/**
	 * This method initializes jTextField8	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField8() {
		if (jTextField8 == null) {
			jTextField8 = new JTextField();
			jTextField8.setPreferredSize(new java.awt.Dimension(50,20));
		}
		return jTextField8;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jLabel4 = new JLabel();
			jLabel4.setText("Comparativo:");
			jLabel1 = new JLabel();
			jLabel1.setText("Umbral:");
			jPanel1 = new JPanel();
			jPanel1.setPreferredSize(new java.awt.Dimension(130,60));
			jPanel1.add(jLabel1, null);
			jPanel1.add(getJTextField9(), null);
			jPanel1.add(jLabel4, null);
			jPanel1.add(getJCheckBox1(), null);
		}
		return jPanel1;
	}
	/**
	 * This method initializes jTextField9	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextField9() {
		if (jTextField9 == null) {
			jTextField9 = new JTextField();
			jTextField9.setPreferredSize(new java.awt.Dimension(40,20));
			jTextField9.setText("0");
		}
		return jTextField9;
	}
	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	public JComboBox getJComboBox() {
		if (jComboBox == null) {
			String [] lista = {"Personalizado","Sobel","Roberts","Prewitt","Frei-Chen","Median 3x3"};
			jComboBox = new JComboBox(lista);
			jComboBox.setPreferredSize(new java.awt.Dimension(150,25));
			jComboBox.addActionListener(this);
		}
		return jComboBox;
	}
	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jLabel2 = new JLabel();
			jLabel2.setText("Convolucin:");
			jPanel2 = new JPanel();
			jPanel2.setPreferredSize(new java.awt.Dimension(200,150));
			jPanel2.add(getJCheckBox(), null);
			jPanel2.add(jLabel2, null);
			jPanel2.add(getJComboBox(), null);
		}
		return jPanel2;
	}
	/**
	 * This method initializes jCheckBox1	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	public JCheckBox getJCheckBox1() {
		if (jCheckBox1 == null) {
			jCheckBox1 = new JCheckBox();
		}
		return jCheckBox1;
	}
}  //  @jve:decl-index=0:visual-constraint="10,10"
