/*
 * Created on 22-ago-2006
 *
 */
/* gvSIG. Sistema de Informaci�n Geogr�fica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */
package org.cresques.ui.filter;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.cresques.ui.raster.BaseComponent;
import org.gvsig.i18n.Messages;

public class FirstDerivativePanel extends BaseComponent implements ActionListener {

	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JLabel jLabel = null;
	private JComboBox jComboBox = null;
	private JLabel jLabel1 = null;
	private JCheckBox jCheckBox = null;
	private JLabel jLabel2 = null;
	private JPanel jPanel2 = null;
	private JLabel jLabel3 = null;
	private JTextField jTextField = null;
	private JPanel jPanel3 = null;

	/**
	 * This method initializes 
	 * 
	 */
	public FirstDerivativePanel() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
		this.setLayout(new FlowLayout());
		this.setSize(new java.awt.Dimension(445,239));
        this.setPreferredSize(new java.awt.Dimension(445,239));
        this.add(getJPanel(), null);
        this.add(getJPanel3(), null);
        this.add(getJPanel1(), null);
        if(!this.getCbUmbralizar().isSelected()){
        	getTUmbral().setEnabled(false);
			jLabel3.setEnabled(false);
        }
			
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == getCbUmbralizar()){
			if (getCbUmbralizar().isSelected()){
				this.getTUmbral().setEnabled(true);
				this.jLabel3.setEnabled(true);
			}
			else{
				this.getTUmbral().setEnabled(false);
				this.jLabel3.setEnabled(false);
			}		
		}
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jLabel1 = new JLabel();
			jLabel1.setText(Messages.getText("tipo_calculo")+":");
			jLabel1.setPreferredSize(new java.awt.Dimension(390,30));
			jLabel = new JLabel();
			jLabel.setText("");
			jLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEADING);
			jPanel = new JPanel();
			jPanel.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.lightGray,1));
			jPanel.setLayout(new FlowLayout());
			jPanel.setPreferredSize(new java.awt.Dimension(400,100));
			jPanel.add(jLabel, null);
			jPanel.add(jLabel1, null);
			jPanel.add(getJComboBox(), null);
		}
		return jPanel;
	}

	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jLabel2 = new JLabel();
			jLabel2.setText(Messages.getText("umbralizar")+":");
			jLabel2.setPreferredSize(new java.awt.Dimension(350,16));
			jPanel1 = new JPanel();
			jPanel1.setPreferredSize(new java.awt.Dimension(400,100));
			jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.lightGray,1));
			jPanel1.add(getCbUmbralizar(), null);
			jPanel1.add(jLabel2, null);
			jPanel1.add(getJPanel2(), null);
		}
		return jPanel1;
	}

	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			String [] lista = {Messages.getText("cuadratico"),Messages.getText("comparativo")};
			jComboBox = new JComboBox(lista);
			jComboBox.setPreferredSize(new java.awt.Dimension(200,25));
		}
		return jComboBox;
	}

	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	public JCheckBox getCbUmbralizar() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.addActionListener(this);
		}
		return jCheckBox;
	}

	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jLabel3 = new JLabel();
			jLabel3.setText(Messages.getText("umbral")+":");
			jPanel2 = new JPanel();
			jPanel2.setPreferredSize(new java.awt.Dimension(280,40));
			jPanel2.add(jLabel3, null);
			jPanel2.add(getTUmbral(), null);
		}
		return jPanel2;
	}

	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getTUmbral() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setPreferredSize(new java.awt.Dimension(40,20));
		}
		return jTextField;
	}

	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jPanel3 = new JPanel();
			jPanel3.setPreferredSize(new java.awt.Dimension(400,15));
		}
		return jPanel3;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
